pearson-alert {
  @media (min-width: 768px) {
    padding: 24px 28px;
    margin: 32px;
    padding-right: 36px;
  }
  &[type="error"] {
    border-left-color: $primary-color;
  }
  &[type="info"] {
    border-left-color: $primary-color;
  }
  &[type="success"] {
    border-left-color: $primary-color;
  }
  &[type="inline"] {
    border-left-color: $primary-color;
  }
  &[level="global"] {
    @media(min-width:768px) {
      width: 580px;
    }
    @media(min-width:480px) {
      width: 440px;
    }
  }
  &[level="inline"] {
    @media(min-width:768px) {
      min-width: 440px;
    }
  }
  &::part(container) {
    box-sizing: border-box;
    position: relative;
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: row;
  }
  &::part(button) {
    position: absolute;
    width: 24px;
    height: 24px;
    background: none;
    border: none;
    color: inherit;
    cursor: pointer;
    padding: 0;
    top:17px;
    right:17px;
    &:focus {
      outline: 0;
      box-shadow: 0 0 0 2px white, 0 0 0 4px #1977d4;
      border-radius: 1px;
    }
  }
  &::part(svg) {
    height:24px;
    width:24px;
    vertical-align: top;
    fill: black;
    pointer-events: none;
  }

  &::part(content) {
    display:inline;
  }
}





